/*
   Encabezados para RMChart
   para crear el objeto usa oChart := CActiveX():New( oWnd, "RMChart.RMChartX" )
   para un ejemplo revisa el sample07.prg
*/


// ****************************************************************************************
// RMC_Colors enum
// IID: {110D4535-2A63-4FC0-8C7D-93324B92CFAA}
// ****************************************************************************************

#define AliceBlue                                               -984833      // &HFFF0F8FF
#define AntiqueWhite                                            -332841      // &HFFFAEBD7
#define Aquamarine                                              -8388652     // &HFF7FFFD4
#define ArmyGreen                                               -10053274    // &HFF669966
#define AutumnOrange                                            -39373       // &HFFFF6633
#define AvocadoGreen                                            -10053325    // &HFF669933
#define Azure                                                   -983041      // &HFFF0FFFF
#define BabyBlue                                                -10053121    // &HFF6699FF
#define BananaYellow                                            -3355597     // &HFFCCCC33
#define Beige                                                   -657956      // &HFFF5F5DC
#define Bisque                                                  -6972        // &HFFFFE4C4
#define Black                                                   -16777216    // &HFF000000
#define BlanchedAlmond                                          -5171        // &HFFFFEBCD
#define Blue                                                    -16776961    // &HFF0000FF
#define BlueViolet                                              -7722014     // &HFF8A2BE2
#define Brown                                                   -5952982     // &HFFA52A2A
#define BurlyWood                                               -2180985     // &HFFDEB887
#define CadetBlue                                               -10510688    // &HFF5F9EA0
#define Chalk                                                   -103         // &HFFFFFF99
#define Chartreuse                                              -8388864     // &HFF7FFF00
#define Chocolate                                               -2987746     // &HFFD2691E
#define Coral                                                   -32944       // &HFFFF7F50
#define CornflowerBlue                                          -10185235    // &HFF6495ED
#define Cornsilk                                                -1828        // &HFFFFF8DC
#define Crimson                                                 -2354116     // &HFFDC143C
#define Cyan                                                    -16711681    // &HFF00FFFF
#define DarkBlue                                                -16777077    // &HFF00008B
#define DarkBrown                                               -10079437    // &HFF663333
#define DarkCrimson                                             -6737050     // &HFF993366
#define DarkCyan                                                -16741493    // &HFF008B8B
#define DarkGold                                                -3368653     // &HFFCC9933
#define DarkGoldenrod                                           -4684277     // &HFFB8860B
#define DarkGray                                                -5658199     // &HFFA9A9A9
#define DarkGreen                                               -16751616    // &HFF006400
#define DarkKhaki                                               -4343957     // &HFFBDB76B
#define DarkMagenta                                             -7667573     // &HFF8B008B
#define DarkOliveGreen                                          -11179217    // &HFF556B2F
#define DarkOrange                                              -29696       // &HFFFF8C00
#define DarkOrchid                                              -6737204     // &HFF9932CC
#define DarkRed                                                 -7667712     // &HFF8B0000
#define DarkSalmon                                              -1468806     // &HFFE9967A
#define DarkSeaGreen                                            -7357301     // &HFF8FBC8B
#define DarkSlateBlue                                           -12042869    // &HFF483D8B
#define DarkSlateGray                                           -13676721    // &HFF2F4F4F
#define DarkTurquoise                                           -16724271    // &HFF00CED1
#define DarkViolet                                              -7077677     // &HFF9400D3
#define DeepAzure                                               -10079233    // &HFF6633FF
#define DeepPink                                                -60269       // &HFFFF1493
#define DeepPurple                                              -13434778    // &HFF330066
#define DeepRiver                                               -10092340    // &HFF6600CC
#define DeepRose                                                -3394663     // &HFFCC3399
#define DeepSkyBlue                                             -16728065    // &HFF00BFFF
#define DeepYellow                                              -13312       // &HFFFFCC00
#define Default                                                 0            // &H0
#define DesertBlue                                              -13408615    // &HFF336699
#define DimGray                                                 -9868951     // &HFF696969
#define DodgerBlue                                              -14774017    // &HFF1E90FF
#define DullGreen                                               -6697882     // &HFF99CC66
#define EasterPurple                                            -3368449     // &HFFCC99FF
#define FadeGreen                                               -6697831     // &HFF99CC99
#define Firebrick                                               -5103070     // &HFFB22222
#define FloralWhite                                             -1296        // &HFFFFFAF0
#define ForestGreen                                             -14513374    // &HFF228B22
#define Gainsboro                                               -2302756     // &HFFDCDCDC
#define GhostWhite                                              -460545      // &HFFF8F8FF
#define GhostGreen                                              -3342388     // &HFFCCFFCC
#define Gold                                                    -10496       // &HFFFFD700
#define Goldenrod                                               -2448096     // &HFFDAA520
#define Grape                                                   -10079335    // &HFF663399
#define GrassGreen                                              -16737997    // &HFF009933
#define Gray                                                    -8355712     // &HFF808080
#define Green                                                   -16744448    // &HFF008000
#define GreenYellow                                             -5374161     // &HFFADFF2F
#define Honeydew                                                -983056      // &HFFF0FFF0
#define HotPink                                                 -38476       // &HFFFF69B4
#define IndianRed                                               -3318692     // &HFFCD5C5C
#define Indigo                                                  -11861886    // &HFF4B0082
#define Ivory                                                   -16          // &HFFFFFFF0
#define Khaki                                                   -989556      // &HFFF0E68C
#define KentuckyGreen                                           -13395610    // &HFF339966
#define Lavender                                                -1644806     // &HFFE6E6FA
#define LavenderBlush                                           -3851        // &HFFFFF0F5
#define LawnGreen                                               -8586240     // &HFF7CFC00
#define LemonChiffon                                            -1331        // &HFFFFFACD
#define LightBlue                                               -5383962     // &HFFADD8E6
#define LightCoral                                              -1015680     // &HFFF08080
#define LightCyan                                               -2031617     // &HFFE0FFFF
#define LightGoldenrod                                          -1122942     // &HFFEEDD82
#define LightGoldenrodYellow                                    -329006      // &HFFFAFAD2
#define LightGray                                               -2894893     // &HFFD3D3D3
#define LightGreen                                              -7278960     // &HFF90EE90
#define LightOrange                                             -26317       // &HFFFF9933
#define LightPink                                               -18751       // &HFFFFB6C1
#define LightSalmon                                             -24454       // &HFFFFA07A
#define LightSeaGreen                                           -14634326    // &HFF20B2AA
#define LightSkyBlue                                            -7876870     // &HFF87CEFA
#define LightSlateGray                                          -8943463     // &HFF778899
#define LightSteelBlue                                          -5192482     // &HFFB0C4DE
#define LightViolet                                             -26113       // &HFFFF99FF
#define LightYellow                                             -32          // &HFFFFFFE0
#define Lime                                                    -16711936    // &HFF00FF00
#define LimeGreen                                               -13447886    // &HFF32CD32
#define Linen                                                   -331546      // &HFFFAF0E6
#define Magenta                                                 -65281       // &HFFFF00FF
#define Maroon                                                  -8388608     // &HFF800000
#define MartianGreen                                            -6697933     // &HFF99CC33
#define MediumAquamarine                                        -10039894    // &HFF66CDAA
#define MediumBlue                                              -16777011    // &HFF0000CD
#define MediumOrchid                                            -4565549     // &HFFBA55D3
#define MediumPurple                                            -7114533     // &HFF9370DB
#define MediumSeaGreen                                          -12799119    // &HFF3CB371
#define MediumSlateBlue                                         -8689426     // &HFF7B68EE
#define MediumSpringGreen                                       -16713062    // &HFF00FA9A
#define MediumTurquoise                                         -12004916    // &HFF48D1CC
#define MediumVioletRed                                         -3730043     // &HFFC71585
#define MidnightBlue                                            -15132304    // &HFF191970
#define MintCream                                               -655366      // &HFFF5FFFA
#define MistyRose                                               -6943        // &HFFFFE4E1
#define Moccasin                                                -6987        // &HFFFFE4B5
#define MoonGreen                                               -3342490     // &HFFCCFF66
#define MossGreen                                               -13408666    // &HFF336666
#define NavajoWhite                                             -8531        // &HFFFFDEAD
#define Navy                                                    -16777088    // &HFF000080
#define OceanGreen                                              -10053223    // &HFF669999
#define OldLace                                                 -133658      // &HFFFDF5E6
#define Olive                                                   -8355840     // &HFF808000
#define OliveDrab                                               -9728477     // &HFF6B8E23
#define Orange                                                  -23296       // &HFFFFA500
#define OrangeRed                                               -47872       // &HFFFF4500
#define Orchid                                                  -2461482     // &HFFDA70D6
#define PaleGoldenrod                                           -1120086     // &HFFEEE8AA
#define PaleGreen                                               -6751336     // &HFF98FB98
#define PaleTurquoise                                           -5247250     // &HFFAFEEEE
#define PaleVioletRed                                           -2396013     // &HFFDB7093
#define PaleYellow                                              -52          // &HFFFFFFCC
#define PapayaWhip                                              -4139        // &HFFFFEFD5
#define PeachPuff                                               -9543        // &HFFFFDAB9
#define Peru                                                    -3308225     // &HFFCD853F
#define Pink                                                    -16181       // &HFFFFC0CB
#define Plum                                                    -2252579     // &HFFDDA0DD
#define PowderBlue                                              -5185306     // &HFFB0E0E6
#define Purple                                                  -8388480     // &HFF800080
#define Red                                                     -65536       // &HFFFF0000
#define RosyBrown                                               -4419697     // &HFFBC8F8F
#define RoyalBlue                                               -12490271    // &HFF4169E1
#define SaddleBrown                                             -7650029     // &HFF8B4513
#define Salmon                                                  -360334      // &HFFFA8072
#define Sand                                                    -13159       // &HFFFFCC99
#define SandyBrown                                              -744352      // &HFFF4A460
#define SeaGreen                                                -13726889    // &HFF2E8B57
#define SeaShell                                                -2578        // &HFFFFF5EE
#define Sienna                                                  -6270419     // &HFFA0522D
#define Silver                                                  -4144960     // &HFFC0C0C0
#define SkyBlue                                                 -7876885     // &HFF87CEEB
#define SlateBlue                                               -9807155     // &HFF6A5ACD
#define SlateGray                                               -9404272     // &HFF708090
#define Snow                                                    -1286        // &HFFFFFAFA
#define SpringGreen                                             -16711809    // &HFF00FF7F
#define SteelBlue                                               -12156236    // &HFF4682B4
#define Tan                                                     -2968436     // &HFFD2B48C
#define Teal                                                    -16744320    // &HFF008080
#define Thistle                                                 -2572328     // &HFFD8BFD8
#define Tomato                                                  -40121       // &HFFFF6347
#define Transparent                                             -2           // &HFFFFFFFE
#define TropicalPink                                            -39322       // &HFFFF6666
#define Turquoise                                               -12525360    // &HFF40E0D0
#define Violet                                                  -1146130     // &HFFEE82EE
#define VioletRed                                               -3137392     // &HFFD02090
#define Walnut                                                  -10079488    // &HFF663300
#define Wheat                                                   -663885      // &HFFF5DEB3
#define White                                                   -1           // &HFFFFFFFF
#define WhiteSmoke                                              -657931      // &HFFF5F5F5
#define Yellow                                                  -256         // &HFFFFFF00
#define YellowGreen                                             -6632142     // &HFF9ACD32

// ****************************************************************************************
// CtrlStyle enum
// IID: {6AA4A239-66AA-4C5E-80C9-8D2A4E9110B1}
// ****************************************************************************************

#define RMC_CTRLSTYLEFLAT                                       0            // &H0
#define RMC_CTRLSTYLEFLATSHADOW                                 1            // &H1
#define RMC_CTRLSTYLE3D                                         2            // &H2
#define RMC_CTRLSTYLE3DLIGHT                                    3            // &H3
#define RMC_CTRLSTYLEIMAGE                                      4            // &H4
#define RMC_CTRLSTYLEIMAGETILED                                 5            // &H5

// ****************************************************************************************
// BarSeriesType enum
// IID: {19771F57-1B22-48B3-BD1E-FF46132EDB7B}
// ****************************************************************************************

#define RMC_BARSINGLE                                           1            // &H1
#define RMC_BARGROUP                                            2            // &H2
#define RMC_BARSTACKED                                          3            // &H3
#define RMC_BARSTACKED100                                       4            // &H4
#define RMC_FLOATINGBAR                                         5            // &H5
#define RMC_FLOATINGBARGROUP                                    6            // &H6

// ****************************************************************************************
// LineSeriesType enum
// IID: {1DD43574-98F9-42CF-887B-A2AC7D3BBEB1}
// ****************************************************************************************

#define RMC_DEFAULT                                             0            // &H0
#define RMC_LINE                                                21           // &H15
#define RMC_AREA                                                22           // &H16
#define RMC_LINE_INDEXED                                        23           // &H17
#define RMC_AREA_INDEXED                                        24           // &H18
#define RMC_AREA_STACKED                                        25           // &H19
#define RMC_AREA_STACKED100                                     26           // &H1A

// ****************************************************************************************
// CTypes enum
// IID: {ABF7E17E-A2AE-4EB0-B29D-FFDBFA6C0A67}
// ****************************************************************************************

#define RMC_VOLBAR                                              31           // &H1F
#define RMC_HIGHLOW                                             41           // &H29
#define RMC_GRIDLESS                                            51           // &H33
#define RMC_CUSTOMLINE                                          60           // &H3C
#define RMC_XYCHART                                             70           // &H46
#define RMC_GRIDBASED                                           10           // &HA

// ****************************************************************************************
// BarSeriesStyle enum
// IID: {0E3864B4-3575-4A94-B0D5-BB897CF13A00}
// ****************************************************************************************

#define RMC_BAR_FLAT                                            1            // &H1
#define RMC_BAR_FLAT_GRADIENT1                                  2            // &H2
#define RMC_BAR_FLAT_GRADIENT2                                  3            // &H3
#define RMC_BAR_HOVER                                           4            // &H4
#define RMC_COLUMN_FLAT                                         5            // &H5
#define RMC_BAR_3D                                              6            // &H6
#define RMC_BAR_3D_GRADIENT                                     7            // &H7
#define RMC_COLUMN_3D                                           8            // &H8
#define RMC_COLUMN_3D_GRADIENT                                  9            // &H9
#define RMC_COLUMN_FLUTED                                       10           // &HA

// ****************************************************************************************
// LineSeriesStyle enum
// IID: {473EC497-2F4B-47CE-BC86-7FAFB967FFCF}
// ****************************************************************************************

#define RMC_LINE_FLAT                                           21           // &H15
#define RMC_LINE_FLAT_DOT                                       19           // &H13
#define RMC_LINE_FLAT_DASH                                      18           // &H12
#define RMC_LINE_FLAT_DASHDOT                                   17           // &H11
#define RMC_LINE_FLAT_DASHDOTDOT                                16           // &H10
#define RMC_LINE_CABLE                                          22           // &H16
#define RMC_LINE_3D                                             23           // &H17
#define RMC_LINE_3D_GRADIENT                                    24           // &H18
#define RMC_AREA_FLAT                                           25           // &H19
#define RMC_AREA_FLAT_GRADIENT_V                                26           // &H1A
#define RMC_AREA_FLAT_GRADIENT_H                                27           // &H1B
#define RMC_AREA_FLAT_GRADIENT_C                                28           // &H1C
#define RMC_AREA_3D                                             29           // &H1D
#define RMC_AREA_3D_GRADIENT_V                                  30           // &H1E
#define RMC_AREA_3D_GRADIENT_H                                  31           // &H1F
#define RMC_AREA_3D_GRADIENT_C                                  32           // &H20
#define RMC_LINE_CABLE_SHADOW                                   34           // &H22
#define RMC_LINE_SYMBOLONLY                                     35           // &H23

// ****************************************************************************************
// SeriesLineStyles enum
// IID: {C4EBBC2E-8145-439A-9E83-0AA8FB070F85}
// ****************************************************************************************

#define RMC_LSTYLE_LINE                                         1            // &H1
#define RMC_LSTYLE_SPLINE                                       2            // &H2
#define RMC_LSTYLE_STAIR                                        3            // &H3
#define RMC_LSTYLE_LINE_AREA                                    4            // &H4
#define RMC_LSTYLE_SPLINE_AREA                                  5            // &H5
#define RMC_LSTYLE_STAIR_AREA                                   6            // &H6

// ****************************************************************************************
// SeriesSymbolStyles enum
// IID: {07BDF409-494E-4E24-BFD9-0D7F855CCC19}
// ****************************************************************************************

#define RMC_SYMBOL_NONE                                         0            // &H0
#define RMC_SYMBOL_BULLET                                       21           // &H15
#define RMC_SYMBOL_ROUND                                        1            // &H1
#define RMC_SYMBOL_DIAMOND                                      2            // &H2
#define RMC_SYMBOL_SQUARE                                       3            // &H3
#define RMC_SYMBOL_STAR                                         4            // &H4
#define RMC_SYMBOL_ARROW_DOWN                                   5            // &H5
#define RMC_SYMBOL_ARROW_UP                                     6            // &H6
#define RMC_SYMBOL_POINT                                        7            // &H7
#define RMC_SYMBOL_CIRCLE                                       8            // &H8
#define RMC_SYMBOL_RECTANGLE                                    9            // &H9
#define RMC_SYMBOL_CROSS                                        10           // &HA
#define RMC_SYMBOL_BULLET_SMALL                                 22           // &H16
#define RMC_SYMBOL_ROUND_SMALL                                  11           // &HB
#define RMC_SYMBOL_DIAMOND_SMALL                                12           // &HC
#define RMC_SYMBOL_SQUARE_SMALL                                 13           // &HD
#define RMC_SYMBOL_STAR_SMALL                                   14           // &HE
#define RMC_SYMBOL_ARROW_DOWN_SMALL                             15           // &HF
#define RMC_SYMBOL_ARROW_UP_SMALL                               16           // &H10
#define RMC_SYMBOL_POINT_SMALL                                  17           // &H11
#define RMC_SYMBOL_CIRCLE_SMALL                                 18           // &H12
#define RMC_SYMBOL_RECTANGLE_SMALL                              19           // &H13
#define RMC_SYMBOL_CROSS_SMALL                                  20           // &H14

// ****************************************************************************************
// HighLowSeriesStyle enum
// IID: {47C089BC-4C78-41E4-BFA8-7D3D665D9D21}
// ****************************************************************************************

#define RMC_OHLC                                                1            // &H1
#define RMC_CANDLESTICK                                         2            // &H2
#define RMC_VOLUMEBAR                                           31           // &H1F

// ****************************************************************************************
// GridlessSeriesStyle enum
// IID: {90173BE9-78B0-40D9-842B-96E8C07EB2FF}
// ****************************************************************************************

#define RMC_PIE_FLAT                                            51           // &H33
#define RMC_PIE_GRADIENT                                        52           // &H34
#define RMC_PIE_3D                                              53           // &H35
#define RMC_PIE_3D_GRADIENT                                     54           // &H36
#define RMC_DONUT_FLAT                                          55           // &H37
#define RMC_DONUT_GRADIENT                                      56           // &H38
#define RMC_DONUT_3D                                            57           // &H39
#define RMC_DONUT_3D_GRADIENT                                   58           // &H3A
#define RMC_PYRAMIDE                                            59           // &H3B
#define RMC_PYRAMIDE3                                           60           // &H3C

// ****************************************************************************************
// PieDonutAlignment enum
// IID: {FBA67080-7EBD-421B-96C4-0CAB59068025}
// ****************************************************************************************

#define RMC_FULL                                                1            // &H1
#define RMC_HALF_TOP                                            2            // &H2
#define RMC_HALF_RIGHT                                          3            // &H3
#define RMC_HALF_BOTTOM                                         4            // &H4
#define RMC_HALF_LEFT                                           5            // &H5

// ****************************************************************************************
// ExplodeMode enum
// IID: {CFBE75A5-BF82-4D11-9492-D7AD53878098}
// ****************************************************************************************

#define RMC_EXPLODE_NONE                                        0            // &H0
#define RMC_EXPLODE_SMALLEST                                    -1           // &HFFFFFFFF
#define RMC_EXPLODE_BIGGEST                                     -2           // &HFFFFFFFE

// ****************************************************************************************
// XYSeriesStyle enum
// IID: {FE0B6F37-B37B-4CF9-AD6D-B43B576C6EE8}
// ****************************************************************************************

#define RMC_XY_LINE                                             70           // &H46
#define RMC_XY_LINE_DOT                                         69           // &H45
#define RMC_XY_LINE_DASH                                        68           // &H44
#define RMC_XY_LINE_DASHDOT                                     67           // &H43
#define RMC_XY_LINE_DASHDOTDOT                                  66           // &H42
#define RMC_XY_SYMBOL                                           71           // &H47
#define RMC_XY_CABLE                                            73           // &H49

// ****************************************************************************************
// Hatchmodes enum
// IID: {AAA206D8-49E5-4D92-A71D-7701E35D93A6}
// ****************************************************************************************

#define RMC_HATCHBRUSH_OFF                                      0            // &H0
#define RMC_HATCHBRUSH_ON                                       1            // &H1
#define RMC_HATCHBRUSH_ONPRINTING                               2            // &H2

// ****************************************************************************************
// DAxisAlignment enum
// IID: {388D3C94-E01C-41D3-A33B-6F3EBCA47C9D}
// ****************************************************************************************

#define RMC_DATAAXISLEFT                                        1            // &H1
#define RMC_DATAAXISRIGHT                                       2            // &H2
#define RMC_DATAAXISTOP                                         3            // &H3
#define RMC_DATAAXISBOTTOM                                      4            // &H4

// ****************************************************************************************
// LAxisAlignment enum
// IID: {CBC32127-7E6D-497F-A37C-26409E08F764}
// ****************************************************************************************

#define RMC_LABELAXISLEFT                                       5            // &H5
#define RMC_LABELAXISRIGHT                                      6            // &H6
#define RMC_LABELAXISTOP                                        7            // &H7
#define RMC_LABELAXISBOTTOM                                     8            // &H8

// ****************************************************************************************
// XAxisAlignment enum
// IID: {3BB7B4E9-3AC1-441A-B5BF-43C6D6A17908}
// ****************************************************************************************

#define RMC_XAXISBOTTOM                                         12           // &HC
#define RMC_XAXISTOP                                            11           // &HB

// ****************************************************************************************
// YAxisAlignment enum
// IID: {658AB2E1-C79B-4A40-BB3A-9B843AF5AACF}
// ****************************************************************************************

#define RMC_YAXISLEFT                                           9            // &H9
#define RMC_YAXISRIGHT                                          10           // &HA

// ****************************************************************************************
// AxisLineStyle enum
// IID: {02D0A19C-BC3C-495D-BDE0-A62BCD91AF6E}
// ****************************************************************************************

#define RMC_LINESTYLESOLID                                      0            // &H0
#define RMC_LINESTYLEDASH                                       1            // &H1
#define RMC_LINESTYLEDOT                                        2            // &H2
#define RMC_LINESTYLEDASHDOT                                    3            // &H3
#define RMC_LINESTYLENONE                                       6            // &H6

// ****************************************************************************************
// TextAlignment enum
// IID: {36AB6C9F-EE4B-4217-8F7C-F5E4844F2EBE}
// ****************************************************************************************

#define RMC_TEXTCENTER                                          0            // &H0
#define RMC_TEXTLEFT                                            1            // &H1
#define RMC_TEXTRIGHT                                           2            // &H2
#define RMC_TEXTDOWNWARD                                        3            // &H3
#define RMC_TEXTUPWARD                                          4            // &H4

// ****************************************************************************************
// LegendAlignment enum
// IID: {897DC06E-3081-44AA-8807-1AAAE99AB4DD}
// ****************************************************************************************

#define RMC_LEGEND_NONE                                         -1           // &HFFFFFFFF
#define RMC_LEGEND_TOP                                          1            // &H1
#define RMC_LEGEND_LEFT                                         2            // &H2
#define RMC_LEGEND_RIGHT                                        3            // &H3
#define RMC_LEGEND_BOTTOM                                       4            // &H4
#define RMC_LEGEND_UL                                           5            // &H5
#define RMC_LEGEND_UR                                           6            // &H6
#define RMC_LEGEND_LL                                           7            // &H7
#define RMC_LEGEND_LR                                           8            // &H8
#define RMC_LEGEND_ONVLABELS                                    9            // &H9
#define RMC_LEGEND_CUSTOM_TOP                                   11           // &HB
#define RMC_LEGEND_CUSTOM_LEFT                                  12           // &HC
#define RMC_LEGEND_CUSTOM_RIGHT                                 13           // &HD
#define RMC_LEGEND_CUSTOM_BOTTOM                                14           // &HE
#define RMC_LEGEND_CUSTOM_UL                                    15           // &HF
#define RMC_LEGEND_CUSTOM_UR                                    16           // &H10
#define RMC_LEGEND_CUSTOM_LL                                    17           // &H11
#define RMC_LEGEND_CUSTOM_LR                                    18           // &H12
#define RMC_LEGEND_CUSTOM_CENTER                                19           // &H13
#define RMC_LEGEND_CUSTOM_CR                                    20           // &H14
#define RMC_LEGEND_CUSTOM_CL                                    21           // &H15

// ****************************************************************************************
// LegendStyle enum
// IID: {8A95DFA7-9B7C-4DD9-8424-7D0EEF092BDA}
// ****************************************************************************************

#define RMC_LEGENDNORECT                                        1            // &H1
#define RMC_LEGENDRECT                                          2            // &H2
#define RMC_LEGENDRECTSHADOW                                    3            // &H3
#define RMC_LEGENDROUNDRECT                                     4            // &H4
#define RMC_LEGENDROUNDRECTSHADOW                               5            // &H5

// ****************************************************************************************
// ValueLabels enum
// IID: {A3138EC9-840F-40E6-A387-5BF6E03ECA4A}
// ****************************************************************************************

#define RMC_VLABEL_NONE                                         0            // &H0
#define RMC_VLABEL_DEFAULT                                      1            // &H1
#define RMC_VLABEL_PERCENT                                      5            // &H5
#define RMC_VLABEL_ABSOLUTE                                     6            // &H6
#define RMC_VLABEL_TWIN                                         7            // &H7
#define RMC_VLABEL_LEGENDONLY                                   8            // &H8
#define RMC_VLABEL_DEFAULT_NOZERO                               11           // &HB
#define RMC_VLABEL_PERCENT_NOZERO                               15           // &HF
#define RMC_VLABEL_ABSOLUTE_NOZERO                              16           // &H10
#define RMC_VLABEL_TWIN_NOZERO                                  17           // &H11

// ****************************************************************************************
// GridBicolorMode enum
// IID: {9DC7AB4D-0A79-401E-8DD6-1694928636BC}
// ****************************************************************************************

#define RMC_BICOLOR_NONE                                        0            // &H0
#define RMC_BICOLOR_DATAAXIS                                    1            // &H1
#define RMC_BICOLOR_LABELAXIS                                   2            // &H2
#define RMC_BICOLOR_BOTH                                        3            // &H3

// ****************************************************************************************
// RMCError enum
// IID: {6AB2FE42-51B2-4171-AF40-D7036D3E766C}
// ****************************************************************************************

#define RMC_ERROR_MAXINST                                       -1           // &HFFFFFFFF
#define RMC_ERROR_MAXREGION                                     -2           // &HFFFFFFFE
#define RMC_ERROR_MAXSERIES                                     -3           // &HFFFFFFFD
#define RMC_ERROR_ALLOC                                         -4           // &HFFFFFFFC
#define RMC_ERROR_NODATA                                        -5           // &HFFFFFFFB
#define RMC_ERROR_CTRLID                                        -6           // &HFFFFFFFA
#define RMC_ERROR_SERIESINDEX                                   -7           // &HFFFFFFF9
#define RMC_ERROR_CREATEBITMAP                                  -8           // &HFFFFFFF8
#define RMC_ERROR_WRONGREGION                                   -9           // &HFFFFFFF7
#define RMC_ERROR_PARENTHANDLE                                  -10          // &HFFFFFFF6
#define RMC_ERROR_CREATEWINDOW                                  -11          // &HFFFFFFF5
#define RMC_ERROR_INIGDIP                                       -12          // &HFFFFFFF4
#define RMC_ERROR_PRINT                                         -13          // &HFFFFFFF3
#define RMC_ERROR_NOGDIP                                        -14          // &HFFFFFFF2
#define RMC_ERROR_RMCFILE                                       -15          // &HFFFFFFF1
#define RMC_ERROR_FILEFOUND                                     -16          // &HFFFFFFF0
#define RMC_ERROR_READLINES                                     -17          // &HFFFFFFEF
#define RMC_ERROR_XYAXIS                                        -18          // &HFFFFFFEE
#define RMC_ERROR_LEGENDTEXT                                    -19          // &HFFFFFFED
#define RMC_ERROR_EMF                                           -20          // &HFFFFFFEC
#define RMC_ERROR_NODATA_COUNT                                  -21          // &HFFFFFFEB
#define RMC_ERROR_NODATA_ZERO                                   -22          // &HFFFFFFEA
#define RMC_ERROR_NOCOLOR                                       -23          // &HFFFFFFE9
#define RMC_ERROR_CLIPBOARD                                     -24          // &HFFFFFFE8
#define RMC_ERROR_CBINFO                                        -25          // &HFFFFFFE7
#define RMC_ERROR_FILECREATE                                    -26          // &HFFFFFFE6
#define RMC_ERROR_MAXCUSTOM                                     -27          // &HFFFFFFE5
#define RMC_ERROR_DATAINDEX                                     -28          // &HFFFFFFE4
#define RMC_ERROR_AXISALIGNMENT                                 -29          // &HFFFFFFE3
#define RMC_ERROR_ARRAYDIM                                      -90          // &HFFFFFFA6
#define RMC_ERROR_LEGENDSIZE                                    1            // &H1

// ****************************************************************************************
// RMCFileType enum
// IID: {0C32506B-6351-40D2-AA7F-BBD7EF3C9FEE}
// ****************************************************************************************

#define RMC_EMF                                                 1            // &H1
#define RMC_EMFPLUS                                             2            // &H2
#define RMC_BMP                                                 3            // &H3

// ****************************************************************************************
// RMC_CreateMode enum
// IID: {CE86B5CD-4E09-4D30-A1B7-3839C8CBB514}
// ****************************************************************************************

#define CreateIt                                                0            // &H0
#define ResetIt                                                 1            // &H1

// ****************************************************************************************
// ReturnType enum
// IID: {31ABEAD6-B721-4422-8799-1E87892DB291}
// ****************************************************************************************

#define RetDouble                                               0            // &H0
#define RetLong                                                 1            // &H1
#define RetString                                               2            // &H2

// ****************************************************************************************
// Eventos
// oskar 20070213
// ****************************************************************************************

#define RME_MOUSEDOWNA 5
#define RME_MOUSEUPA   6
#define RME_MOUSEMOVEA 7
